var selectionWithPaths = $('tr a[path]').length > 0;

$(function () {
    //Если не выбрано в фильтре условие "равно или дочернее"
    //Проставляем выбор дочерним сервисам
    var equalOrChildParameter = getURLParameter('EqualOrChild');
    if (!equalOrChildParameter) {
        $('input.rowid').live('click', function () {
            var cb = this; var path = $(cb).attr('path');
            if (path != null) {
                $(cb).parents('tr').nextAll().each(function () {
                    var tr = this;
                    var ccb = $('input.rowid', tr);
                    if (ccb.length == 0 || ccb.length == null)
                        return true;
                    if (ccb.attr('path') != null && ccb.attr('path').substring(0, path.length) == path && !ccb.is('[disabled]')) { selectRow(ccb.val(), cb.checked, false); } else return false;
                });
            }
        });
    }

    //Блокируем уже выбранные сервисы
    if (sessionStorage.getItem("disabledServices")) {
        var selServicesId = sessionStorage.getItem("disabledServices").split(",");
        for (i = 0; i < selServicesId.length; i++) {
            $("#id" + selServicesId[i]).prop("disabled", "disabled");
            $("#id" + selServicesId[i]).parent().parent().find("a").attr("onclick", "return false;");
        }
    }

    if (getURLParameter('tb_custom_mode') != null && getURLParameter('tb_custom_mode').toUpperCase() == 'KBFOLDER')
        $("#wrapper").css("min-width", "1024px");
});

function addSelectedServices(id)
{
    if (id) { selectedIds.length = 0; selectedIds.push(id); rowChecked(id, true); }
    if (selectedIds.length == 0) { alert(ServiceResources.NoServiceSelected); return false; }    

    var result = new Array();
    result["selectedIds"] = selectedIds;
    result["selectedNames"] = selectedNames;
    result["selectedPaths"] = selectedPaths;    

    if (getURLParameter('msName') != null && getURLParameter('msName') != '') {
        result["msName"] = getURLParameter('msName');
    }    

    if ($('#permissionid').length > 0)
        result["permissionId"] = $('#permissionid').val();

    if (self.callback == null) {
        if (getURLParameter('cbmode') != null && getURLParameter('cbmode') != '') {
            eval('opener.' + getURLParameter('cbmode') + '.servicesCallback(result)');
        } else {
            self.callback = opener.servicesCallback;
            self.callback(result);
        }
    } else {
        self.callback(result);
    }

    self.close();
    return false;
}

/**************KB permissions***********************/

function changePermission(link) {
    var link = $(link);
    var parent = link.parent();
    $('.popupwrapper').hide();
    if (parent.find('.popupwrapper').length > 0)
        parent.find('.popupwrapper').show();
    else {
        var html = '<div class="popupwrapper"><div class="popup">' + $('#selectpermissiontemplate').html() + '</div></div>';
        parent.append(html).find('.popupwrapper').css({ left: link.position().left, top: link.position().top + 10 }).show();
    }
    return false;
}

function hidePermission(link) {
    $(link).parents('.popupwrapper').hide();
    return false;
}

function setPermission(link, permissionid) {
    var parent = $(link).parents('h1');
    $(link).parents('.popupwrapper').remove();
    $('#permissionid').val(permissionid);
    parent.find('a#kbpermissionlink:first').text($(link).text());
    return false;
}